Skip to main content
GET
/
v1
/
products
/
{refId}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "code": "<string>",
  "ncmCode": {},
  "name": "<string>",
  "active": true,
  "hasManyColors": true,
  "hasManySizes": true,
  "wholesalePrice": 123,
  "retailPrice": 123,
  "description": "<string>",
  "resume": "<string>",
  "availableForPreOrder": true,
  "preOrderMinimumProduct": 123,
  "preOrderMinimumItem": 123,
  "integrationCode": "<string>",
  "preOrderMultipleProduct": 123,
  "preOrderMultipleItem": 123,
  "readyForDeliveryMultipleProduct": 123,
  "readyForDeliveryMultipleItem": 123,
  "collection": {
    "id": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "code": "<string>",
    "name": "<string>"
  },
  "category": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "code": "<string>",
    "imageUrl": "<string>",
    "uniqueSequential": 123,
    "classification": "<string>"
  },
  "colors": [
    {
      "id": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "code": "<string>",
      "name": "<string>",
      "isImage": true,
      "unique": true,
      "active": true,
      "imageUrl": "<string>",
      "hexcode": "<string>",
      "productColorCode": "<string>",
      "customized": true,
      "allowChangePreOrderGrid": "<string>",
      "allowChangeImmediateGrid": "<string>",
      "allowPackPartialApplyInPreOrder": true,
      "allowPackPartialApplyInImmediate": true,
      "color": {
        "id": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "code": "<string>",
        "name": "<string>",
        "isImage": true,
        "unique": true,
        "active": true,
        "imageUrl": "<string>",
        "hexcode": "<string>",
        "integrationCode": "<string>"
      }
    }
  ],
  "referenceCode": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Path Parameters

refId
string
required

Response

product details by refId

id
string
required
createdAt
string
required
updatedAt
string
required
code
string
required
ncmCode
object
required
name
string
required
active
boolean
required
hasManyColors
boolean
required
hasManySizes
boolean
required
wholesalePrice
number
required
retailPrice
number
required
description
string | null
required
resume
string | null
required
availableForPreOrder
boolean
required
preOrderMinimumProduct
number | null
required
preOrderMinimumItem
number | null
required
integrationCode
string | null
required
preOrderMultipleProduct
number | null
required
preOrderMultipleItem
number | null
required
readyForDeliveryMultipleProduct
number | null
required
readyForDeliveryMultipleItem
number | null
required
collection
object
required
category
object
required
colors
object[]
required
referenceCode
string